Package com.google.android.exoplayer2.source.rtsp

## Class RtspMediaSource.RtspPlaybackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.source.rtsp.RtspMediaSource.RtspPlaybackException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    RtspMediaSource

      public static final class RtspMediaSource.RtspPlaybackException
      extends IOException

  Thrown when an exception or error is encountered during loading an RTSP stream.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RtspPlaybackException​(String message)` |
    `RtspPlaybackException​(String message, Throwable e)` |
    `RtspPlaybackException​(Throwable e)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RtspPlaybackException

          public RtspPlaybackException​(String message)

    - #### RtspPlaybackException

          public RtspPlaybackException​(Throwable e)

    - #### RtspPlaybackException

          public RtspPlaybackException​(String message,
                                       Throwable e)